#
# spec file for package python-lml
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-lml
Version:        0.1.0
Release:        1.9
Summary:        A lazy plugin management system for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/chfw/lml
Source:         https://files.pythonhosted.org/packages/source/l/lml/lml-%{version}.tar.gz
# https://github.com/python-lml/lml/issues/26
Patch0:         python-lml-no-mock.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module isort}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
LML is "Load me later". lml seamlessly finds the lml-based
plugins from the current Python environment but loads plugins on
demand. It supports plugins that have external dependencies,
especially bulky and/or memory hungry ones. lml provides the plugin
management system only and the plugin interface is for the developer
to do.

Plugins loaded by lml may be installed packages or standalone
Python modules in a supplied directory.

%prep
%autosetup -p1 -n lml-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_plugin_loader': no pyexcel_test module
%pytest tests -k 'not test_plugin_loader'

%files %{python_files}
%license LICENSE
%doc CHANGELOG.rst README.rst docs/source
%{python_sitelib}/*

%changelog
* Wed Mar 23 2022 pgajdos@suse.com
- version update to 0.1.0
  [#]. non class object can be a plugin too
  [#]. `#20 <https://github.com/python-lml/lml/issues/20>`_: When a plugin was not
    installed, it now calls raise_exception method
- test the package
- deleted patches
  - remove_nose.patch (upstreamed)
- added patches
  fix https://github.com/python-lml/lml/issues/26
  + python-lml-no-mock.patch
* Fri Aug  7 2020 Matej Cepl <mcepl@suse.com>
- Add remove_nose.patch (gh#python-lml/lml#19), which
  unfortunately is still WIP, so we have to remove switch off
  tests for now.
* Mon Feb 25 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix license string
* Tue Jan 15 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary. Update description.
- Use SPDX license names.
* Mon Jan 14 2019 John Vandenberg <jayvdb@gmail.com>
- Remove BuildDepends on python devel package
* Tue Jan  8 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.0.9
  - Fixes to the source tarball
* Mon Jan  7 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.0.8
  - source tarball includes tests, which are now used by rpm
    to validate rpm.
* Tue Jan  1 2019 John Vandenberg <jayvdb@gmail.com>
- Run doctests
* Tue Nov 27 2018 John Vandenberg <jayvdb@gmail.com>
- Initial revision for v0.0.7
